// wmsoapsvc.idl : IDL source for wmsoapsvc
//

// This file will be processed by the MIDL tool to
// produce the type library (wmsoapsvc.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(582263E3-5182-43DB-B493-688AAEBCF650),
	dual,
	nonextensible,
	helpstring("Iwmsoapsvcmgr2 Interface"),
	pointer_default(unique)
]
interface Iwmsoapsvcmgr2 : IDispatch{
	[id(1), helpstring("method GetServerStats")] HRESULT GetServerStats([out] long *NumConnects, [out] long *NumBytesSent, [out] long *NumHTTPErrors, [out] long *NumNetErrors, [out] long *NumIntErrors, [out, retval] VARIANT_BOOL *Result);
	[id(2), helpstring("method GetServerParams")] HRESULT GetServerParams([out] long *ListenPort, [out] long *NumWorkThreads, [out] long *NumClientConn, [out] long *ClientTimeout, [out] long *WatchdogTimer, [out, retval] VARIANT_BOOL *Result);
	[id(3), helpstring("method GetServiceInfo")] HRESULT GetServiceInfo([out] VARIANT *SvcInfo, [out, retval] VARIANT_BOOL *Result);
	[id(4), helpstring("method SetServiceInfo")] HRESULT SetServiceInfo([in] VARIANT SvcInfo, [out, retval] VARIANT_BOOL *Result);
	[id(5), helpstring("method GetHTTPSettings")] HRESULT GetHTTPSettings([out] BSTR *DocRootPath, [out] BSTR *DefaultFilePath, [out] VARIANT *MIMETypes, [out, retval] VARIANT_BOOL *Result);
	[id(6), helpstring("method SetHTTPSettings")] HRESULT SetHTTPSettings([in] BSTR DocRootPath, [in] BSTR DefaultFilePath, [in] VARIANT MIMETypes, [out, retval] VARIANT_BOOL *Result);
	[id(7), helpstring("method GetLogSettings")] HRESULT GetLogSettings([out] BSTR *ServerLogPath, [out] BSTR *UserAgentLogPath, [out] BSTR *SOAPTraceLogPath, [out] VARIANT_BOOL *ServerLogEnabled, [out] VARIANT_BOOL *UserAgentLogEnabled, [out] VARIANT_BOOL *SOAPTraceLogEnabled, [out, retval] VARIANT_BOOL *Result);
	[id(8), helpstring("method SetLogSettings")] HRESULT SetLogSettings([in] BSTR ServerLogPath, [in] BSTR UserAgentLogPath, [in] BSTR SOAPTraceLogPath, [in] VARIANT_BOOL ServerLogEnabled, [in] VARIANT_BOOL UserAgentLogEnabled, [in] VARIANT_BOOL SOAPTraceLogEnabled, [out, retval] VARIANT_BOOL *Result);
};
[
	uuid(735B43CA-0480-433E-8445-8683C06A32CD),
	version(1.0),
	helpstring("wmsoapsvc 1.0 Type Library")
]
library wmsoapsvcLib
{
	importlib("stdole2.tlb");
	[
		uuid(62DA9D9B-CE1C-4009-857C-E178FEDC6B44),
		helpstring("wmsoapsvcmgr2 Class")
	]
	coclass wmsoapsvcmgr2
	{
		[default] interface Iwmsoapsvcmgr2;
	};
};
